package com.ruoyi.system.entity.vo;


import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class TableInfoVO {

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    /**
     * 表描述
     */
    private String tableComment;

    public TableInfoVO() {

    }

    public TableInfoVO(String tableName, Date createTime, String tableComment) {
        this.tableName = tableName;
        this.createTime = createTime;
        this.tableComment = tableComment;
    }

    @Override
    public String toString() {
        return "TableInfoVO{" +
                "tableName='" + tableName + '\'' +
                ", createTime=" + createTime +
                ", tableComment='" + tableComment + '\'' +
                '}';
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTableComment() {
        return tableComment;
    }

    public void setTableComment(String tableComment) {
        this.tableComment = tableComment;
    }
}
